<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author 			rodrigo.hernandez
@cu 				CU-SA-AC-050  
@ManagedBean        ModificacionPlazoEjecucionAvaluoMB
-->

<h:form id="registrarFechaReactivacionAvaluoForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui">


    <p:spacer height="5" width="0" />

    <p:messages showDetail="false" globalOnly="false" />

    <p:fieldset>

        <h:panelGrid columns="4" cellspacing="7" width="100%">

            <h:outputLabel value="Departamento" styleClass="outputLabelStyle" />
            <p:commandLink
                value="#{modificarPlazoEjecucionAvaluo.avaluoSeleccionado.avaluosPredios[0].departamento.nombre}"
                rendered="#{modificarPlazoEjecucionAvaluo.avaluoSeleccionado.tienePrediosEnDiferentesDeptos}"
                styleClass="commandLinkStyle"
                action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                update=":consultarDepartamentosMunicipioForm"
                onstart="statusDialog2.show();"
                oncomplete="statusDialog2.hide();
                handleCompleteSIC(xhr, status, args, infoDeptosMunisWV, true);"
                immediate="true">
                <f:setPropertyActionListener
                    value="#{modificarPlazoEjecucionAvaluo.avaluoSeleccionado}"
                    target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
            </p:commandLink>

            <h:outputText styleClass="outputTextStyle"
                          rendered="#{!avaluoCancelado.tienePrediosEnDiferentesDeptos}"
                          value="#{modificarPlazoEjecucionAvaluo.avaluoSeleccionado.avaluoPredios[0].departamento.codigo} - #{modificarPlazoEjecucionAvaluo.avaluoSeleccionado.avaluoPredios[0].departamento.nombre}" />


            <h:outputLabel value="Municipio" styleClass="outputLabelStyle" />
            <p:commandLink
                value="#{modificarPlazoEjecucionAvaluo.avaluoSeleccionado.avaluosPredios[0].departamento.nombre}"
                rendered="#{modificarPlazoEjecucionAvaluo.avaluoSeleccionado.tienePrediosEnDiferentesDeptos}"
                styleClass="commandLinkStyle"
                action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                update=":consultarDepartamentosMunicipioForm"
                onstart="statusDialog2.show();"
                oncomplete="statusDialog2.hide();
                handleCompleteSIC(xhr, status, args, infoDeptosMunisWV, true);"
                immediate="true">
                <f:setPropertyActionListener
                    value="#{modificarPlazoEjecucionAvaluo.avaluoSeleccionado}"
                    target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
            </p:commandLink>

            <h:outputText styleClass="outputTextStyle"
                          rendered="#{!avaluoCancelado.tienePrediosEnDiferentesDeptos}"
                          value="#{modificarPlazoEjecucionAvaluo.avaluoSeleccionado.avaluoPredios[0].municipio.codigo} - #{modificarPlazoEjecucionAvaluo.avaluoSeleccionado.avaluoPredios[0].municipio.nombre}" />


            <h:outputLabel value="Tipo avalúo" styleClass="outputLabelStyle" />
            <h:outputText id="AvaluoTipoAvaluoV-1"
                          value="#{modificarPlazoEjecucionAvaluo.avaluoSeleccionado.tipoAvaluo}"
                          styleClass="outputTextStyle">
                <f:converter converterId="converterCB" for="AvaluoTipoAvaluoV-1" />
            </h:outputText>

            <h:outputLabel value="Sec. radicado" styleClass="outputLabelStyle" />
            <p:commandLink styleClass="commandLinkStyle"
                           action="#{consultaInformacionSolicitud.consultarSecRadicado}"
                           update=":isCC:infoSolicitudTV" onstart="statusDialog2.show();"
                           oncomplete="infoSolicitudCCWV.show(); statusDialog2.hide()"
                           value="#{modificarPlazoEjecucionAvaluo.avaluoSeleccionado.secRadicado}"
                           immediate="true">
                <f:setPropertyActionListener
                    value="#{modificarPlazoEjecucionAvaluo.avaluoSeleccionado.secRadicado}"
                    target="#{consultaInformacionSolicitud.numeroSecRadicado}" />
            </p:commandLink>

            <h:outputLabel value="Adjudicación" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{modificarPlazoEjecucionAvaluo.avaluoSeleccionado.avaluoAsignacionProfesionals[0].ordenPractica.fecha}"
                styleClass="outputTextStyle">
                <f:convertDateTime pattern="#{general.formatoFecha}" locale="es_CO"
                                   timeZone="GMT-5" />
            </h:outputText>

        </h:panelGrid>
    </p:fieldset>

    <p:spacer height="10" />

    <p:fieldset id="datosCancelacionFS">
        <h:panelGrid width="100%">

            <h:panelGrid columns="2" width="100%"
                         columnClasses="colPequena, colMediana">
                <h:outputLabel value="Fecha reactivación"
                               styleClass="outputLabelStyle" />

                <p:calendar id="fechaRadicacion"
                            value="#{modificarPlazoEjecucionAvaluo.avaluoMovimiento.fechaHasta}"
                            navigator="true" label="Fecha final" 
                            pattern="#{general.formatoFechaComponenteCalendar}"
                            showOn="both" title="#{general.formatoFechaUsuario}" tabindex="0"
                            effect="slideDown" size="12" />
            </h:panelGrid>

        </h:panelGrid>

        <p:spacer height="10" />

        <p:outputPanel style="border:0px;width:50px;display:block;">

            <p:commandButton value="Aceptar" icon="ui-icon-check"
                             onstart="statusDialog2.show();"
                             oncomplete="statusDialog2.hide(); confirmaReactivacionWV.show();">
            </p:commandButton>

        </p:outputPanel>
    </p:fieldset>




</h:form>


